/* Halloween; */

/* font-family: 'Allison', cursive;
font-family: 'Raleway', sans-serif; */

* {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}
header {
    background-color: black;
    padding: 0 90px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

#hero img {
   max-height: 100%;
   min-width: 100%;
   object-fit: cover;
   vertical-align: bottom;
}

#hero {
    height: 60vh;
    background-color: lawngreen;
    overflow: hidden;
}

nav {align-self: center;
    display: flex;
}

nav a {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;
}

nav a:hover {
    color: orange;
}

article {
    background-color: purple;
    width: 350px;
    display: flex;
    flex-direction: column;
    padding: 15px;
}

article span {
    flex-grow: 1;
    text-align: center;
}

#features div {
    display: flex;
    column-gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 20px;
}

#features {
    padding-bottom: 40px;
}

h1 {
    font-family: 'Allison', cursive;
    font-size: 75px;
    color: orange;
}

h2 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: white;
}

#gallery h2 {
    text-align: center;
}

h3 {
    font-family: 'Allison', cursive;
    font-size: 80px;
    color: orange;
    text-align: center ;
}

h4 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: rgb(255, 255, 255);
}

h5 {
    color: purple;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 700;
}

p {
    color: rgb(235, 226, 245);
}

i {
    font-size: 50px;
    color: orange;
}
article a {
    background-color: white;
    color: purple;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;
    align-self: center;
}
#gallery {
    background-color: black;
    padding: 40px 42px;
}

#gallery div {
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
    justify-content: center;
    padding-top: 20px;

} 
#gallery div img {
    flex-grow: 1;
    flex-shrink: 1;
}




footer {
    background-color: orange;
    padding: 20px 90px;
    display: flex;
    column-gap: 20px;
    flex-wrap: wrap;
    row-gap: 20px;
    justify-content: flex-end;
}

footer i {
    font-size: 30px;
    color: white;
}

/* hamburger */
.toggle /* display: none */ {
    align-self: center;
    display: none;
}

.active {display: flex;}

/* the following rule will style the bars */

i.fa-bars {
    color: white;font-size: 30px;
    align-self: center;
}

footer h4 {
    flex-grow: 1;
}

.icons{
    align-self: center;
}


/* tablet */
@media (max-width: 825px){
    body {
        background-color:  rgb(37, 3, 37);
    }
    nav {
        flex-direction: column;
    }
    header {
        padding: 10px 30px;
    }
    h1 {
        font-size: 60px;
    }
    article {
        background-color: purple;
        flex: 0 0 275px;
        margin-bottom: 20px;
        height: 300px;
        padding: 15px;
        display: flex;
        flex-direction: column;
    }
    #features {
        padding: 40px;
    }
    footer {
        padding: 20px 40px;
        display: flex;
        column-gap: 20px;
        flex-wrap: wrap;
        justify-content: flex-end;
        row-gap: 20px;
    }
}

/* rules for toggle navigation */
@media (max-width: 700px) {

    .toggle {
        display: block;
        align-self: center;}

        nav {
            flex: 100%;
            display: none;
            text-align: center;
            row-gap: 8px;
        }

        footer h4 {
            font-family: 'Allison', cursive;
            font-size: 60px;
            color: rgb(255, 255, 255);
            flex-grow: 1;
            flex: 100%;
        }
    }


/* mobile */
@media (max-width: 450px) {
    body {
        background-color: orange;
    }
    nav {
        flex-direction: row;
        display: flex;
    }
    #features h3 {
        color: white;
    }
    h3 {
        font-family: 'Allison', cursive;
        font-size: 50px;
        color: orange;
        text-align: center;
        margin-top: 40px;
    }
    article {
        flex: 100%;
        margin-bottom: 20px;
        height: 308px;
        padding: 15px;
        display: flex;
        flex-direction: column;
    }
    #gallery {
        padding: 40px 20px;
    }
    footer span:last-of-type {
        flex: 100%;
    }
    footer {
        justify-content: center;
    }
    footer span {
        text-align: center;
    }
    footer h4 {
        text-align: center;
    }
}

